/* Copyright 2004 Acegi Technology Pty Limited
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.sf.acegisecurity.providers.dao.event;

import net.sf.acegisecurity.Authentication;
import net.sf.acegisecurity.UserDetails;


/**
 * Application event which indicates authentication failure due to the user's
 * account having expired.
 *
 * @author Ben Alex
 * @version $Id$
 */
public class AuthenticationFailureAccountExpiredEvent
    extends AuthenticationEvent {
    //~ Constructors ===========================================================

    public AuthenticationFailureAccountExpiredEvent(
        Authentication authentication, UserDetails user) {
        super(authentication, user);
    }
}
